#!/bin/bash
# par Bruno

# truecrypt volume (ligne suivante à adapter)
TC_FILE="/chemin/vers/mon/fichier.tc"

if [ ! -f "$TC_FILE" ]
then
	if [ "$( which notify-send )" != "" ]
	then
		notify-send 'TrueCrypt' 'Erreur : fichier crypté introuvable' --icon=/usr/share/pixmaps/truecrypt-warning.png --expire-time=5000 --urgency=normal &
	else
		zenity --info --text="TrueCrypt Erreur : fichier crypté introuvable"
	fi
	exit
fi

# démontage des partitions truecrypt
if [ "$( which notify-send )" != "" ]
then
	notify-send 'TrueCrypt' 'Démontage en cours...' --icon=/usr/share/pixmaps/truecrypt-umounted.png --expire-time=3000 --urgency=normal &
else
	zenity --info --text="TrueCrypt Démontage en cours..."
fi
truecrypt --dismount
